#ifndef GUARD_solver_h
#define GUARD_solver_h

#include "sparseData.h"
#include "kernel.h"
#include "budgetMaintenance.h"
#include "svm.h"


// primal solver with budget
SVM BSGD(sparseData& dataset, double C, Kernel const& kernel, size_t B, size_t epochs, size_t seed, Method method);


#endif
