#ifndef GUARD_budgetMaintenance_h
#define GUARD_budgetMaintenance_h

#include "sparseData.h"
#include "kernel.h"
#include <tuple>
#include <vector>


enum Method
{
	GSSstandard,
	GSSprecise,
	LookupH,
	LookupWD,
};


int mergeAndDeleteSV(std::vector<double>& alpha, sparseData& dataset, Kernel const& kernel, double C, Method method);


#endif
